{% extends 'base.html' %}

{% block content %}
<div class="container mt">
    {% if events %}
    <!-- add https://getbootstrap.com/docs/4.4/content/tables/#contextual-classes -->
    <div class="row mt-3">
        <table class="table">
            <caption>Pipeline hooks events</caption>
            <thead class="thead-dark">
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">Project</th>
                    <th scope="col">Branch</th>
                    <th scope="col">Status</th>
                    <th scope="col">Last update</th>
                    <th scope="col">Link</th>
                </tr>
            </thead>
            <tbody>
                {% for i in range(events|length) %}
                <tr>
                    <th scope="row">{{ i + 1 }}</th>
                    <td>{{ events[i].project }}</td>
                    <td>{{ events[i].branch }}</td>
                    <td>{{ events[i].status }}</td>
                    <td>{{ events[i].last_update }}</td>
                    <td>
                        <a href="{{ events[i].link }}" class="card-link">
                            Download
                        </a>
                    </td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
    {% endif %}
</div>
{% endblock %}